apiVersion: apps/v1
kind: Deployment
metadata:
  name: app-deployment
spec:
  replicas: 2
  selector:
    matchLabels:
      app: devops-example-app
  template:
    metadata:
      labels:
        app: devops-example-app
    spec:
      containers:
        - name: app
          image: morozzzko/devops-example-app:v2
          ports:
            - containerPort: 5000
          env:
            - name: SERVER_MESSAGE
              value: "Hello for zero-downtime"


